Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QIconFactory Class Reference

The QIconFactory class is used to create pixmaps for a QIconSet. More...

`#include <qiconset.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QIconFactory ( QObject * parent = 0, const char * name = 0 )
- ~QIconFactory ()
- virtual QPixmap * createPixmap ( const QIconSet & iconSet, QIconSet::Size size, QIconSet::Mode mode, QIconSet::State state )

## Static Public Members

- QIconFactory * defaultFactory ()
- void installDefaultFactory ( QIconFactory * factory )

## Detailed Description

The QIconFactory class is used to create pixmaps for a QIconSet.

By reimplementing createPixmap(), you can override QIconSet's default algorithm for computing pixmaps not supplied by the user.

See also QIconSet and Advanced Widgets.

## Member Function Documentation

### QIconFactory::QIconFactory ( QObject * parent = 0, const char * name = 0 )

Constructs an icon factory with parent parent and name name.

### QIconFactory::~QIconFactory ()

Destroys the object and frees any allocated resources.

### QPixmap * QIconFactory::createPixmap ( const QIconSet & iconSet, QIconSet::Size size, QIconSet::Mode mode, QIconSet::State state )`[virtual]`

Ceates a pixmap for iconSet with a certain size, mode, and state. Returns 0 if the default QIconSet algorithm should be used to create a pixmap that wasn't supplied by the user.

It is the caller's responsability to delete the returned object.

The default implementation always returns 0.

### QIconFactory * QIconFactory::defaultFactory ()`[static]`

Returns the default icon factory.

See also installDefaultFactory().

### void QIconFactory::installDefaultFactory ( QIconFactory * factory )`[static]`

Replaces the default icon factory with factory.

QIconFactory takes ownership of factory, and destroys it when it is no longer needed.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.